from flask import Blueprint
from flask import render_template
from flask import current_app

from capsulflask.db import get_model

bp = Blueprint("landing", __name__, url_prefix="/")

@bp.route("/")
def index():
  return render_template("index.html")

@bp.route("/pricing")
def pricing():
  vm_sizes = get_model().vm_sizes_dict()
  operating_systems = get_model().operating_systems_dict()
  return render_template(
    "pricing.html", 
    vm_sizes=vm_sizes,
    operating_systems=operating_systems
  )

@bp.route("/faq")
def faq():
  return render_template("faq.html")

@bp.route("/about-ssh")
def about_ssh():
  return render_template("about-ssh.html")

@bp.route("/troubleshooting-ssh")
def troubleshooting_ssh():
  return render_template("troubleshooting-ssh.html")

@bp.route("/add-ssh-key-to-existing-capsul")
def add_ssh_key_to_existing_capsul():
  return render_template("add-ssh-key-to-existing-capsul.html")


@bp.route("/changelog")
def changelog():
  return render_template("changelog.html")

@bp.route("/support")
def support():
  return render_template("support.html")
